Loading...
Searching...
No Matches
InternalNode< ChildT, Log2Dim >::ChildIterator Class Reference

Visits child nodes of this node only. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for InternalNode< ChildT, Log2Dim >::ChildIterator:

## Public Member Functions

| ChildIterator ()
| ChildIterator (const InternalNode *parent)
ChildIterator & | operator= (const ChildIterator &)=default
const ChildT & | operator* () const
const ChildT * | operator-> () const
CoordType | getOrigin () const

## Detailed Description

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
class nanovdb::InternalNode< ChildT, Log2Dim >::ChildIterator

Visits child nodes of this node only.

## Constructor & Destructor Documentation

## ChildIterator() [1/2]

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ChildIterator | ( |  | ) |

inline

## ChildIterator() [2/2]

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ChildIterator | ( | const InternalNode * | parent | ) |

inline

## Member Function Documentation

## getOrigin()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

CoordType getOrigin | ( |  | ) | const

inline

## operator*()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

const ChildT & operator* | ( |  | ) | const

inline

## operator->()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

const ChildT * operator-> | ( |  | ) | const

inline

## operator=()

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ChildIterator & operator= | ( | const ChildIterator & |  | ) |

default